﻿////
/// Copyright(C) 2020 Micronet Co. All Rights Reserved.
//
document.addEventListener('DOMContentLoaded', function () {
    const coordinates = document.getElementById('coordinates');

    if (coordinates) {
        document.addEventListener('mousemove', function (event) {
            // ページ全体のスクロール量を取得
            const scrollX = window.pageXOffset;
            const scrollY = window.pageYOffset;

            // マウス位置を取得し、スクロール位置を考慮
            const x = event.clientX + scrollX;
            const y = event.clientY + scrollY;

            // 座標を表示
            coordinates.textContent = `Y: ${y.toFixed(1)}px, X: ${x.toFixed(1)}px`;

            // 座標表示の位置をマウスカーソルに追従させる
            coordinates.style.top = `${y}px`;
            coordinates.style.left = `${x}px`;
            coordinates.style.display = "block";  // 座標表示をオン
        });
    }
});