﻿////
/// Copyright(C) 2020 Micronet Co. All Rights Reserved.
//
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;
using HMI_CommonLibrary;

namespace HMI_ChartBar
{
#nullable disable
    public class XmlChartDataSets
    {

        [XmlElement("ChartDataSet")]
        public List<XmlChartDataSet> XmlChartDataSetList { get; set; }
        /// <summary>
        /// コンストラクタ
        /// </summary>
        public XmlChartDataSets() { XmlChartDataSetList = new List<XmlChartDataSet>(); }

    }
    public class XmlChartDataSet
    {
        [XmlAttribute("Axis")]
        public string Axis { get; set; } = "y1";
        [XmlAttribute("Digit")]
        public int Digit { get; set; } = 0;
        [XmlAttribute("IsTag")]
        public bool IsTag { get; set; } = true;
        [XmlElement("Data")]
        public List<string> XmlDatas { get; set; }

    }

    public class ChartDataSet
    {
        public string Axis { get; set; } = "y1";
        public int Digit { get; set; } = 0;
        public bool IsTag { get; set; } = true;
        public List<HmiData> Datas { get; set; }
        public List<object> DataValues { get; set; }
        /// <summary>
        /// コンストラクタ
        /// </summary>
        public ChartDataSet() { Datas = new List<HmiData>(); DataValues = new List<object>(); }
    }
#nullable restore
}

