﻿////
/// Copyright(C) 2020 Micronet Co. All Rights Reserved.
//
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace HMI_Serv
{
    /// <summary>
    /// App.xaml の相互作用ロジック
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            // 起動引数を取得
            string[] args = e.Args;
            // MainWindow を生成
            var mainWindow = new MainWindow(args);
            
            // 表示はさせない
            mainWindow.Hide();
        }
    }
}
