﻿////
/// Copyright(C) 2020 Micronet Co. All Rights Reserved.
//
function renderChart(data, chartId) {
    // オブジェクトとして初期化
    if (!window.chartObjects) {
        window.chartObjects = {};
    }

    // 既存のチャートがあれば破棄
    if (window.chartObjects[chartId]) {
        window.chartObjects[chartId].destroy();
    }

    console.log("chart open1 : " + chartId);
    console.log("json=" + data);

    var ctx = document.getElementById(chartId);
    if (!ctx) {
        console.error("Canvas element with id " + chartId + " not found.");
        return;
    }
    ctx = ctx.getContext('2d');  // getContextを取得

    try {
        console.log("Creating new chart for: " + chartId);
        // JSONをパースして新しいチャートを作成
        window.chartObjects[chartId] = new Chart(ctx, JSON.parse(data));

        if (window.chartObjects[chartId]) {
            console.log("Chart created successfully for: " + chartId);
            console.log(window.chartObjects[chartId].config.data.datasets);
            console.log("Chart.js version: " + window.chartObjects[chartId].version);
        } else {
            console.error("Chart object was not created.");
        }
    } catch (error) {
        console.error("Error creating chart:", error);
    }

    console.log("Rendering finished for: " + chartId);
}

    //window.renderChart = (data, ChartId) => {
    //    if (window.chartObj) {
    //        window.chartObj.destroy();
    //    }

//    console.log("chart open1");
//    console.log("json=" + data);

//    var ctx = document.getElementById(ChartId).getContext('2d');
//    console.log("test1");
//    var myChart = new Chart(ctx, {
//        type: 'bar',
//        data: {
//            labels: ['Red', 'Blue', 'Yellow', 'Green', 'Purple', 'Orange'],
//            datasets: [{
//                label: '# of Votes',
//                data: [12, 19, 3, 5, 2, 3],
//                backgroundColor: [
//                    'rgba(255, 99, 132, 0.2)',
//                    'rgba(54, 162, 235, 0.2)',
//                    'rgba(255, 206, 86, 0.2)',
//                    'rgba(75, 192, 192, 0.2)',
//                    'rgba(153, 102, 255, 0.2)',
//                    'rgba(255, 159, 64, 0.2)'
//                ],
//                borderColor: [
//                    'rgba(255, 99, 132, 1)',
//                    'rgba(54, 162, 235, 1)',
//                    'rgba(255, 206, 86, 1)',
//                    'rgba(75, 192, 192, 1)',
//                    'rgba(153, 102, 255, 1)',
//                    'rgba(255, 159, 64, 1)'
//                ],
//                borderWidth: 1
//            }]
//        },
//        options: {
//            scales: {
//                y: {
//                    beginAtZero: true
//                }
//            }
//        }
//    console.log("test3");
//    });
//};
//window.renderChart = () => {
//    var ctx = document.getElementById('myChart').getContext('2d');
//    var myChart = new Chart(ctx, {
//        type: 'bar',
//        data: {
//            labels: ['Red', 'Blue', 'Yellow', 'Green', 'Purple', 'Orange'],
//            datasets: [{
//                label: '# of Votes',
//                data: [12, 19, 3, 5, 2, 3],
//                backgroundColor: [
//                    'rgba(255, 99, 132, 0.2)',
//                    'rgba(54, 162, 235, 0.2)',
//                    'rgba(255, 206, 86, 0.2)',
//                    'rgba(75, 192, 192, 0.2)',
//                    'rgba(153, 102, 255, 0.2)',
//                    'rgba(255, 159, 64, 0.2)'
//                ],
//                borderColor: [
//                    'rgba(255, 99, 132, 1)',
//                    'rgba(54, 162, 235, 1)',
//                    'rgba(255, 206, 86, 1)',
//                    'rgba(75, 192, 192, 1)',
//                    'rgba(153, 102, 255, 1)',
//                    'rgba(255, 159, 64, 1)'
//                ],
//                borderWidth: 1
//            }]
//        },
//        options: {
//            scales: {
//                y: {
//                    beginAtZero: true
//                }
//            }
//        }
//    });
//};